﻿using Microsoft.Extensions.Logging;
namespace RobobinApp;

public partial class App : Application
{
    public App()
    {
        InitializeComponent();
        ConfigureLogging();
        MainPage = new AppShell();
    }
        private void ConfigureLogging()
        {
            // Create a LoggerFactory
            var loggerFactory = LoggerFactory.Create(builder =>
            {
                builder
                    .AddConsole() 
                    .AddDebug(); 
            });

            // Store the logger factory for later use
            Logger = loggerFactory.CreateLogger<App>();
        }

        public ILogger<App> Logger { get; private set; }
}


